Subject: Xclients not working correctly (was: Re: Fun with symlinks?)
From: Peter Keller <[email-masked]>
To: [email-masked]
Date: Thu, 27 Jun 2002 10:01:06 +0100
Newsgroups: gmane.os.cygwin,gmane.os.cygwin.xfree

Hi,

Peter's real-life example described at the bottom of his message also
fixes X client problems that I had when upgrading to the latest release.
All credit to him for figuring this out.

One thing that needs clarifying, is that the extra app-defaults symlink
does not show up (for me at least) as a symlink with 'ls -l'. I could only
tell that it was a shortcut from the windows explorer.

Regards,
Peter Keller.

"Peter A. Castro" wrote:

> I've seen a specific "problem" two times now, and I'm pretty sure it's
> a minor flaw in the installer, but I've been bitten by it twice now and
> felt others should be aware of it incase it happens to them.

[snip]

>
> I considder this a minor issue, really, but it does illustrate a problem.
> Now, for another real-life example:
>
> I recently upgraded to the latest XFree packages.  After re-starting X,
> suddenly I was getting errors from various apps (eg: xcalc & xman) about
> missing app defaults.  I checked /etc/X11/app-defaults but all the
> default files were there.  So, I checked /usr/X11R6/lib/X11 and sure
> enough, there were two directories named 'app-defaults'.  One was a
> symlink to /etc/X11/app-defaults and the other was an almost empty
> directory containing a lone file: Mwm.  After renaming the offending
> directory to something else, the symlink once again provided the proper
> reference.
>
> The only reason I bring this up is that I feel others might encounter
> this problem.  I haven't had time to look into the setup code yet, sorry.
> It's probably something simple, like checking if the destination path is a
> symlink and either following it or removing it.
>
> --
> Peter A. Castro <[email-masked]> or <[email-masked]>
>         "Cats are just autistic Dogs" -- Dr. Tony Attwood
>
> --
> Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
> Bug reporting:         http://cygwin.com/bugs.html
> Documentation:         http://cygwin.com/docs.html
> FAQ:                   http://cygwin.com/faq/

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/